Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512963 - [GSS] Writing data to file on gluster volume served by ctdb/samba causes bricks to crash
Summary: [GSS] Writing data to file on gluster volume served by ctdb/samba causes bric...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: RHGS 3.4.0
Assignee: Mohit Agrawal
QA Contact: Vinayak Papnoi
URL:
Whiteboard:
Depends On:
Blocks: 1503138
TreeView+ depends on / blocked
 
Reported: 2017-11-14 14:14 UTC by Abhishek Kumar
Modified: 2018-09-12 04:34 UTC (History)
20 users (show)

Fixed In Version: glusterfs-3.12.2-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:39:09 UTC
sunnikri: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:40:27 UTC

Description Abhishek Kumar 2017-11-14 14:14:25 UTC
Description of problem:

After upgrade from RHGS 3.2 to RHGS 3.3, writing data to file on gluster volume served by ctdb/samba causes bricks to crash

Version-Release number of selected component (if applicable):

RHGS 3.3

How reproducible:


Customer Environment

Steps to Reproduce:
1. create empty files using touch
2. writing data to any file on a gluster volume served by samba, the relevant bricks (on which the write is attempted) will crash


Additional info:

The gluster volume on the same cluster that is served by nfs-ganesha appears fine.

Comment 23 Sanoj Unnikrishnan 2017-11-15 06:17:55 UTC
resetting the need info from comment#19 that was accidentally cleared in my  latest comment

Comment 35 Niels de Vos 2017-11-21 11:26:14 UTC
A related patch has been posted upstream by Csaba, I suggest to have a look at it. I am not sure if it corrects the behaviour of the group allocation though.

https://review.gluster.org/18789

Comment 55 Vinayak Papnoi 2018-04-20 07:06:03 UTC
Build number : glusterfs-3.12.2-6.el7rhgs.x86_64

Tried out the steps in the description along with basic quota sanity over cifs mount. No issues seen.

Hence, moving bug to verified.

Comment 59 errata-xmlrpc 2018-09-04 06:39:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.